Bug 31531 - Some modules loaded twice in opac-memberentry.pl
Summary: Some modules loaded twice in opac-memberentry.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-08 03:05 UTC by David Cook
Modified: 2022-11-24 20:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31531: Remove unnecessary use directives on opac-memberentry.pl (837 bytes, patch)
2022-09-08 03:07 UTC, David Cook
Details | Diff | Splinter Review
Bug 31531: Remove unnecessary use directives on opac-memberentry.pl (984 bytes, patch)
2022-09-13 16:48 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2022-09-08 03:05:55 UTC
The following appears twice in opac-memberentry.pl:

use Koha::Patron::Modification;
use Koha::Patron::Modifications;
Comment 1 David Cook 2022-09-08 03:07:44 UTC
Created attachment 140330 [details] [review]
Bug 31531: Remove unnecessary use directives on opac-memberentry.pl

This patch just removes two redundant use directives in opac-memberentry.pl
Comment 2 Joonas Kylmälä 2022-09-13 16:48:20 UTC
Created attachment 140600 [details] [review]
Bug 31531: Remove unnecessary use directives on opac-memberentry.pl

This patch just removes two redundant use directives in opac-memberentry.pl

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 3 Joonas Kylmälä 2022-09-13 16:48:41 UTC
Trivial, straight to PQA.
Comment 4 Tomás Cohen Arazi 2022-09-16 20:01:23 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-31 22:07:25 UTC
Backported to 22.05.x for upcoming 22.05.07
Comment 6 Arthur Suzuki 2022-11-14 16:16:41 UTC
applied to 21.11 for 21.11.14
Comment 7 Victor Grousset/tuxayo 2022-11-24 20:54:05 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.